

dummy_free_one() is marked __exit, but is called from dummy_init_module()
which is marked __init.

It's wrong, and doesn't link on ia64.


---

 25-akpm/drivers/net/dummy.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/dummy.c~dummy-init-fix drivers/net/dummy.c
--- 25/drivers/net/dummy.c~dummy-init-fix	Wed Jan 21 04:13:42 2004
+++ 25-akpm/drivers/net/dummy.c	Wed Jan 21 04:13:42 2004
@@ -112,7 +112,7 @@ static int __init dummy_init_one(int ind
 	return err;
 }
 
-static void __exit dummy_free_one(int index) 
+static void dummy_free_one(int index)
 {
 	unregister_netdev(dummies[index]);
 	free_netdev(dummies[index]);

_
